/*
 * File: RubberBanding.java
 * ------------------------
 * This program allows the user to create lines on the graphics canvas
 * by clicking and dragging with the mouse.  The line is redrawn from
 * the original point to the new endpoint, giving the effect of a
 * rubber band.
 */

package demos;

import acm.graphics.*;
import acm.program.*;
import java.awt.event.*;

@SuppressWarnings("serial")
public class RubberBanding extends GraphicsProgram {
	
	/** This class allows the user to drag lines on the canvas */
	
/** Runs the program */
	public void run() {
		addMouseListeners();
	}
	
	/** Called on mouse press to create a new line */
	public void mousePressed(MouseEvent e) {
		double x = e.getX();
		double y = e.getY();
		line = new GLine(x, y, x, y);
		add(line);
	}
	
	/** Called on mouse drag to reset the endpoint */
	public void mouseDragged(MouseEvent e) {
		double x = e.getX();
		double y = e.getY();
		line.setEndPoint(x, y);
	}
	
/* Private instance variable */
	private GLine line;
}
