/*
 * File: YinYang.java
 * ------------------
 * This program draw a Yin-Yang symbol.
 */

package demos;

import acm.graphics.*;
import acm.program.*;
import java.awt.*;

/**
 * 
 * This class draws a Yin-Yang symbol at the center of the graphics
 * window.  The radius of the outer circle is given by the constant R.
 *
 */

@SuppressWarnings("serial")
public class YinYang extends GraphicsProgram {

	
	/* Runs the program */
	public void run() {
		/* Radius of outer circle */
		double R = 0.9 * Math.min(getWidth(),getHeight()) / 2;

		/* Coordinates of center */
		double x = getWidth() / 2;
		double y = getHeight() / 2;

		GArc bottom = new GArc(x - R, y - R, 2 * R, 2 * R, 0, -180);
		bottom.setFilled(true);
		add(bottom);

		GArc smallBlack = new GArc(x - R, y - R / 2, R, R, 0, 180);
		smallBlack.setFilled(true);
		add(smallBlack);

		GArc smallWhite = new GArc(x, y - R / 2, R, R, 0, -180);
		smallWhite.setFilled(true);
		smallWhite.setColor(Color.WHITE);
		add(smallWhite);

		GArc circle = new GArc(x - R, y - R, 2 * R, 2 * R, 0, 360);
		add(circle);
	}
}
